/**
 * @file config.h
 * @author Jens True (jens.chr.true@gmail.com)
 * @brief Global configuration
 * @version 0.1
 * @date 2021-11-10
 * 
 * @copyright Copyright (c) 2021
 * 
 */
#ifndef CONFIG_H
#define CONFIG_H

/**
 * Helper for joining strings
 */
#define STR_HELPER(x) #x
/**
 * Stringify macro defines
 */
#define STR(x) STR_HELPER(x)


#define PROJECT_NAME            "MinimOSD-JSON" /**< Project name */
#define VERSION_MAJOR           0               /**< Major version number */
#define VERSION_MINOR           1               /**< Minor version number */
#define VERSION_BUILD           1               /**< Build number */


/**
 * Semver style version number
 */
#define VERSION_STRING          STR(VERSION_MAJOR) "." STR(VERSION_MINOR) "." STR(VERSION_BUILD)

#define BAUDRATE                115200  /**< Serial baudrate */
#define DISP_OFFSET_X           49      /**< Display offset along the X-axis. Varies from display to display. */
#define DISP_OFFSET_Y           27      /**< Display offset along the Y-axis. Varies from display to display. */
#endif /* CONFIG_H */
